#ifndef	CUPSDDIALOG_H
#define	CUPSDDIALOG_H

#include <kdialogbase.h>
#include <qlist.h>

class CupsdPage;
struct CupsdConf;

class CupsdDialog : public KDialogBase
{
	Q_OBJECT;
public:
	CupsdDialog(QWidget *parent = 0, const char *name = 0);
	~CupsdDialog();

	void setConfigFile(const QString& filename);

	static void configure(const QString& filename = QString::null);

protected slots:
	void slotOk();

protected:
	void constructDialog();
	void restartServer();

private:
	QList<CupsdPage>	pagelist_;
	CupsdConf		*conf_;
	QString			filename_;
};

#endif
